Subject: need info on tabletop sheet-metal mills

From: [email-masked] (Matthew Brand)
Date: Fri, 12 May 1995 22:04:16 GMT

While visiting an architectural office in Delft I saw a nifty tabletop CNC
mill cut shapes out of sheet brass, which were to be assembled into site
models.  The mill was a simple flatbed with a cutting head mounted on XY
slide rails.  It was driven by a PC, from CAD diagrams.  Anyone know where
I can get one of these in the US, and roughly what they cost?

Reply via email; I'll summarize.

thanks,
matt brand